com.pixelmed.dose

## Class CTIrradiationEventDataFromImages

- java.lang.Object
- - com.pixelmed.dose.CTIrradiationEventDataFromImages

    public class CTIrradiationEventDataFromImages
    extends java.lang.Object

### Field Summary

Fields
`protected java.util.Set<java.io.File>` `filesAlreadyDone`

### Constructor Summary

Constructors
Constructor and Description
`CTIrradiationEventDataFromImages()`
`CTIrradiationEventDataFromImages(java.lang.String path)`
`CTIrradiationEventDataFromImages(java.util.Vector<java.lang.String> paths)`

### Method Summary

Methods
`void` `add(java.io.File file)`
`void` `add(java.lang.String path)`
`CTAcquisitionParameters` `getAcquisitionParametersByAcquisitionNumberAndStudyInstanceUID(java.lang.String acquisitionNumberAndStudyInstanceUIDKey)`
`CTAcquisitionParameters` `getAcquisitionParametersBySeriesNumberScanRangeAndStudyInstanceUID(java.lang.String seriesNumberAndScanRangeAndStudyInstanceUIDKey)`
`CTAcquisitionParameters` `getAcquisitionParametersForIrradiationEvent(java.lang.String uid)`
`DisplayableConcept` `getCombinedAnatomyForStudy(java.lang.String studyInstanceUID)`
`java.util.ArrayList<java.lang.String>` `getDoseScreenFilenames()`
`java.util.ArrayList<java.lang.String>` `getDoseScreenOrStructuredReportFilenames()`
`java.util.ArrayList<java.lang.String>` `getDoseScreenOrStructuredReportFilenames(boolean includeScreen, boolean includeSR)`
`java.util.ArrayList<java.lang.String>` `getDoseStructuredReportFilenames()`
`static double` `getDoubleValueOrZeroIfEmpty(java.lang.String s)`
`static double` `getDoubleValueOrZeroIfEmptyOrInvalid(java.lang.String s)`
`java.lang.String` `getOverallEarliestAcquisitionDateTimeForStudy(java.lang.String studyInstanceUID)`
`java.lang.String` `getOverallLatestAcquisitionDateTimeForStudy(java.lang.String studyInstanceUID)`
`java.lang.String` `getPatientAge()`
`java.lang.String` `getPatientSex()`
`java.lang.String` `getPatientSize()`
`java.lang.String` `getPatientWeight()`
`static void` `main(java.lang.String[] arg)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### filesAlreadyDone

    protected java.util.Set<java.io.File> filesAlreadyDone

### Constructor Detail

#### CTIrradiationEventDataFromImages

    public CTIrradiationEventDataFromImages()

#### CTIrradiationEventDataFromImages

    public CTIrradiationEventDataFromImages(java.lang.String path)

#### CTIrradiationEventDataFromImages

    public CTIrradiationEventDataFromImages(java.util.Vector<java.lang.String> paths)

### Method Detail

#### getDoseScreenFilenames

    public java.util.ArrayList<java.lang.String> getDoseScreenFilenames()

#### getDoseStructuredReportFilenames

    public java.util.ArrayList<java.lang.String> getDoseStructuredReportFilenames()

#### getDoseScreenOrStructuredReportFilenames

    public java.util.ArrayList<java.lang.String> getDoseScreenOrStructuredReportFilenames()

#### getDoseScreenOrStructuredReportFilenames

    public java.util.ArrayList<java.lang.String> getDoseScreenOrStructuredReportFilenames(boolean includeScreen,
                                                                                 boolean includeSR)

#### getDoubleValueOrZeroIfEmpty

    public static double getDoubleValueOrZeroIfEmpty(java.lang.String s)
                                              throws java.lang.NumberFormatException

Throws:
  `java.lang.NumberFormatException`

#### getDoubleValueOrZeroIfEmptyOrInvalid

    public static double getDoubleValueOrZeroIfEmptyOrInvalid(java.lang.String s)

#### getPatientAge

    public java.lang.String getPatientAge()

#### getPatientSex

    public java.lang.String getPatientSex()

#### getPatientWeight

    public java.lang.String getPatientWeight()

#### getPatientSize

    public java.lang.String getPatientSize()

#### getOverallEarliestAcquisitionDateTimeForStudy

    public java.lang.String getOverallEarliestAcquisitionDateTimeForStudy(java.lang.String studyInstanceUID)

#### getOverallLatestAcquisitionDateTimeForStudy

    public java.lang.String getOverallLatestAcquisitionDateTimeForStudy(java.lang.String studyInstanceUID)

#### getCombinedAnatomyForStudy

    public DisplayableConcept getCombinedAnatomyForStudy(java.lang.String studyInstanceUID)

#### getAcquisitionParametersForIrradiationEvent

    public CTAcquisitionParameters getAcquisitionParametersForIrradiationEvent(java.lang.String uid)

#### getAcquisitionParametersBySeriesNumberScanRangeAndStudyInstanceUID

    public CTAcquisitionParameters getAcquisitionParametersBySeriesNumberScanRangeAndStudyInstanceUID(java.lang.String seriesNumberAndScanRangeAndStudyInstanceUIDKey)

#### getAcquisitionParametersByAcquisitionNumberAndStudyInstanceUID

    public CTAcquisitionParameters getAcquisitionParametersByAcquisitionNumberAndStudyInstanceUID(java.lang.String acquisitionNumberAndStudyInstanceUIDKey)

#### add

    public void add(java.lang.String path)

#### add

    public void add(java.io.File file)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### main

    public static final void main(java.lang.String[] arg)